Support Article

Unable to load the harness

SA-36551

Summary



Harness is not loading with Pega 7.1.9. On analysis user found it is due to failing to load pzharnessruleformutils.js file.

This JS file belongs to Pega Out-of-the-box (OOTB) rule set Pega-UIEngine.


Error Messages



Not Applicable


Steps to Reproduce



Not Applicable


Root Cause



A defect or configuration issue in the operating environment.

There are three different nodes in the environment.

The rule "pzHarnessRuleFormUtils.js" is not present in one of the node in the environment.

Resolution



Here’s the explanation for the reported behavior:

Create a product rule for "pzHarnessRuleFormUtils.js" in other environment where issue does not exists.
(or)
Truncating the cache tables, importing the product rule package of "pzHarnessRuleFormUtils.js" rule into the node where the file is missing and restarting all the nodes resolves the issue.

Published April 14, 2017 - Updated May 8, 2017


0% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.